Skip to main content
POST
/
v1
/
notifications
/
config
/
set
Set Config
curl --request POST \
  --url https://api.velt.dev/v1/notifications/config/set \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentIds": [
      "<string>"
    ],
    "userIds": [
      "<string>"
    ],
    "config": {
      "inbox": "<string>",
      "email": "<string>",
      "slack": "<string>"
    }
  }
}
'
{
    "result": {
        "status": "success",
        "message": "User config set successfully.",
        "data": {
            "USER_ID1": {
                "success": true,
                "userId": "USER_ID1",
                "documentId": "doc1",
                "message": "User config set successfully."
            }
        }
    }
}

Documentation Index

Fetch the complete documentation index at: https://docs.velt.dev/llms.txt

Use this file to discover all available pages before exploring further.

To use this API, you must have the this feature enabled in Velt console
Use this API to set the notifications config for users.

Endpoint

POST https://api.velt.dev/v1/notifications/config/set

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Request

{
    "data": {
        "organizationId": "org1",
        "documentIds": ["doc1"],
        "userIds":["USER_ID1"],
        "config":{
            "inbox": "ALL", // ALL | MINE | NONE
            "email": "ALL" // ALL | MINE | NONE
        }
    }
}

Response

Success Response

{
    "result": {
        "status": "success",
        "message": "User config set successfully.",
        "data": {
            "USER_ID1": {
                "success": true,
                "userId": "USER_ID1",
                "documentId": "doc1",
                "message": "User config set successfully."
            }
        }
    }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
    "result": {
        "status": "success",
        "message": "User config set successfully.",
        "data": {
            "USER_ID1": {
                "success": true,
                "userId": "USER_ID1",
                "documentId": "doc1",
                "message": "User config set successfully."
            }
        }
    }
}